suix_getBalance

Coin Query API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Return the total coin balance for one coin type, owned by the address owner.

Parameters

KeyRequiredTypeDetail
ownerSuiAddressthe owner's Sui address
coin_typeStringtype name for the coin
  "params": [
    "0x04658c48392301596b700ec6799dbbb333097b300c164a491fee0522fc6f5ddd",
    "0x2::sui::SUI"
  ]

Result

Balance : <Balance> - get balance of the coin for the address in the request.

  • coinObjectCount : <uint>
  • coinType : <string>
  • lockedBalance : <object>
  • totalBalance : <BigInt_for_uint128>

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "suix_getBalance",
  "params": [
    "0x04658c48392301596b700ec6799dbbb333097b300c164a491fee0522fc6f5ddd",
    "0x2::sui::SUI"
  ]
}
'

Response

{
    "jsonrpc": "2.0",
    "result": {
        "coinType": "0x2::sui::SUI",
        "coinObjectCount": 1,
        "totalBalance": "500477723525",
        "lockedBalance": {}
    },
    "id": 1
}
Path Params
string
required
Defaults to 8f170bbbc110407597b2ded8474747db
Body Params
string
Defaults to { "jsonrpc": "2.0", "id": 1, "method": "suix_queryTransactionBlocks", "params": [ { "filter": { "InputObject": "0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b" }, "options": null } ] }
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json